<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
if (isset($_GET['act'])) {$act = esc($_GET['act']);} else {$act = 'index';} 
switch ($act):
##### Главная
case "index":
$id = intval($_GET['id']);
$ank = get_user($id);
$set['title']='Гарем '.$ank['nick'];
include_once '../sys/inc/thead.php';
title();
err();
aut(); // форма авторизации
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `id_garem`='".$id."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
if ($k_post==0){
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет украденых!\n";
echo "  </td>\n";
echo "   </tr>\n";
}

$q=mysql_query("SELECT * FROM `garem` WHERE `id_garem`='".$id."' ORDER BY id ASC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank=get_user($post['id_user']);
echo "   <tr>\n";
if ($set['set_show_icon']==2){
echo "  <td class='icon48' rowspan='2'>\n";
avatar($ank['id']);
echo "  </td>\n";
}
elseif ($set['set_show_icon']==1)
{
echo "  <td class='icon14'>\n";
echo "<img src='/style/themes/$set[set_them]/user/$ank[pol].png' alt='' />";
echo "  </td>\n";
}
echo "  <td class='p_t'>\n";
$pol = ($ank['pol']==1) ? '(Муж)' : '(Жен)';
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a>".online($ank['id'])." $pol";
echo "  </td>\n";
echo "   </tr>\n";
}
echo "</table>\n";
if ($k_page>1)str('index.php?act=index&amp;id='.$id.'&amp;',$k_page,$page); // Вывод страниц
break;
case "steal":
only_reg();
$id = intval($_GET['id']);
$ank = get_user($id);
$set['title']='Кража '.$ank['nick'].'';
include_once '../sys/inc/thead.php';
title();
aut(); // форма авторизации
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `id_garem`='".$user['id']."' AND `id_user`='".$id."'"),0)==1)$err[]='Данный пользователь уже у вас в гареме';
if($user['pol']==$ank['pol'])$err[]='Кража данного пользователя запрещена!';
err();
if(!isset($err)){
$stoim = $ank['steal_garem']*100+100;
if(isset($_GET['go'])){
if($user['balls']<$stoim)$err[]='У вас нету '.$stoim.' баллов!';
if(!isset($err)){
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `id_user`='".$id."'"),0)==1){
mysql_query("DELETE FROM `garem` WHERE `id_user` = '$id'");
}
mysql_query("INSERT INTO `garem` (id_garem, id_user, time) values('".$user['id']."', '".$id."', '$time')");
mysql_query("UPDATE `user` SET `balls`=`balls`-$stoim WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `steal_garem`=`steal_garem`+1 WHERE `id` = '$id' LIMIT 1");
$text="$user[nick] украл тебя к себе в гарем";
 mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$id', '$text', '$time')");
header("Location: index.php?act=index&id=".$user['id']."");
}
}
err();
echo'Вы хотите украсть <b>'.$ank['nick'].'</b><br/>';
echo'Стоимость: <b>'.$stoim.'</b> баллов.<br/>';
$pol = ($ank['pol']==1) ? '' : 'а';
echo'Украден'.$pol.': <b>'.$ank['steal_garem'].'</b> раз.<br/>';
echo'<a href="index.php?act=steal&amp;id='.$id.'&amp;go">Украсть</a><br/>';
}
break;
default:
header("location: index.php?");
endswitch;
include_once '../sys/inc/tfoot.php';
?>